package com.zcloud.modules.sys.excel;

import lombok.Data;
import java.util.Map;

/**
 * description:excel 工具类
 * <a href ="https://github.com/alan-et/alanpoi/tree/develop/alanpoi-analysis">具体API</a>
 */
@Data
public class BusOutlineMaintenanceExcel {

    private String course_system;
    private String train_level;
    private String total_expect_class_hour;
    // 培训内容
    private String name;
    // 要求学时
    private String expect_class_hour;
    // 培训内容分解
    private String outline_maintenance_chapter_info;
    // 已有学时
    private String class_hour;
    // 已有时长
    private String total_hour;
    // 视频名称
    private String video_name;
    // 主要内容
    private String info;
    // 时长
    private String video_hour;
    // 讲师
    private String teacher;

    public BusOutlineMaintenanceExcel(Map<String, Object> pd) {
        this.course_system = pd.get("course_system") == null ? "" : pd.get("course_system").toString();
        this.train_level = pd.get("train_level") == null ? "" : pd.get("train_level").toString();
        this.total_expect_class_hour = pd.get("total_expect_class_hour") == null ? "" : pd.get("total_expect_class_hour").toString();
        this.name = pd.get("name") == null ? "" : pd.get("name").toString();
        this.expect_class_hour = pd.get("expectClassHour") == null ? "" : pd.get("expectClassHour").toString();
        this.outline_maintenance_chapter_info = pd.get("outlineMaintenanceChapterInfo") == null ? "" : pd.get("outlineMaintenanceChapterInfo").toString();
        this.class_hour = pd.get("class_hour") == null ? "" : pd.get("class_hour").toString();
        this.total_hour = pd.get("total_hour") == null ? "" : pd.get("total_hour").toString();
        this.video_name = pd.get("class_hour") == null ? "" : pd.get("video_name").toString();
        this.info = pd.get("class_hour") == null ? "" : pd.get("info").toString();
        this.video_hour = pd.get("class_hour") == null ? "" : pd.get("video_hour").toString();
        this.teacher = pd.get("teacher") == null ? "" : pd.get("teacher").toString();
    }


}
